Check Fleet Server health

Base URL
https://{kibana_url}
  • POST /api/fleet/health_check
  • POST /s/{space_id}/api/fleet/health_check
Auth

Check the health status of a Fleet Server instance by its host ID. Returns the server status and name if available.

Required authorization

Privileges fleet-settings-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

id string · min length: 0 required

Responses

Successful health check response

application/json
host_id string
name string
status string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number

Not Found

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}